<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>
		<section>
			<h2>HTML Entities</h2>
			<p>
				<em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em>
			</p>

			<table border="1">
				<thead>
					<tr>
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>

				<tbody>
					<tr>
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>

					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>

					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>
					</tr>

					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>

					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>

					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotation mark (apostrophe)</td>
					</tr>

					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>
					</tr>

					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>Upper Tilde</td>
					</tr>
				</tbody>
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
				</tfoot>
			</table>
		</section>
		
		<section>
			<p>
				HTML Forms
			</p>
			<p>
				<em>Input elements that make up a form.</em>
			</p>

			<form action="https://google.com">
				<label for="full_name">Full Name:</label>
				<br>
				<input type="text" name="full_name" id="full_name" required autocomplete>
				<br>

				<label for="birth_date">Birth Date:</label>
				<br>
				<input type="date" name="birth_date" id="birth_date" required>
				<br>

				<label for="age">Age:</label>
				<br>
				<input type="number" name="age" id="age" required min="1" max="99">
				<br>

				<label for="gender">Gender:</label>
				<br>
				<select name="gender" id="gender">
					<option value="male">Male</option>
					<option value="female">Female</option>
				</select>
				<br>

				<label for="notes">Notes:</label>
				<br>
				<textarea name="notes" id="notes" rows="5" cols="80"></textarea>
				<br>
				
				<label>New User:</label>
				<br>
				<input type="radio" name="new_user" id="user-type1" value="yes">
				<label for="user-type1">Yes</label>
				<br>

				<input type="radio" name="new_user" id="user-type1" value="no">
				<label for="user-type1">No</label>
				<br>

				<input type="checkbox" name="role1" id="role1" value="developer">
				<label>Developer</label>
				<br>

				<input type="checkbox" name="role2" id="role2" value="student">
				<label>Student</label>
				<br>

				<input type="checkbox" name="role3" id="role3" value="manager">
				<label>Manager</label>
				<br>

				<button type="submit">Submit</button>
				<button type="reset">Reset</button>
			</form>
		</section>
	</main>

</body>
</html>